Balance Transactions
3 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/balance-transactionsList all Balance Transactions
Returns a list of Balance Transactions. The Balance Transactions are sorted with the most recently created appearing first.
Query parameters
created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive).created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive).typestring (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)optionalOnly return transaction of the given type.
source_idstringoptionalOnly returns the original transaction.
payout_idstringoptionalOnly returns transactions that were paid out on the specified payout ID.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of BalanceTransactionrequired
/v1/balance-transactions/{id}Get a Balance Transaction
Retrieves the details of an existing Balance Transaction.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200BalanceTransaction
account_idstringrequiredamountnumberrequiredGross amount of the transaction, in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). Can be negative for certain transaction types (e.g.
payout,refund).available_onstring date-timerequiredThe date the transaction's net funds will become available in the Paydude balance.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
descriptionstringoptionalAn arbitrary string attached to the object. Often useful for displaying to users.
feenumberrequiredFees (in smallest currency unit) paid for this transaction. Note: Fees are now portrayed as individual balance transactions of
type = fee.fee_detailsarray of BalanceTransactionFeeDetailrequiredDetailed breakdown of the fees paid for this transaction. Note: Fees are now portrayed as individual balance transactions of
type = fee. Refer tofee_typeandfee_subtypefor details.fee_subtypestring (approved_verification | declined_verification | approved_authorization | declined_authorization | reversed_authorization | completed_credit | declined_credit | completed_settlement | …)optionalFee subtype, if this transaction represents a fee (i.e. type = fee).
fee_typestring (discount | transaction | interchange | pass_through | platform | chargeback | administrative | tax | …)optionalFee type, if this transaction represents a fee (i.e. type = fee).
idstringrequiredUnique identifier for the object.
netnumberrequiredNet amount of the transaction, in smallest currency unit. Note: Fees are now portrayed as individual balance transactions of
type = fee.netwill no longer differ fromamount.payout_idstringoptionalThe id of the Payout, if any, associated with this balance transaction.
source_idstringrequiredPaydude id to which this transaction is related
source_typestring (charge | refund | payout | payment_method | platform_fee | platform_fee_refund | dispute | account | …)requiredPaydude resource type of
source_id.statusstring (available | pending)requiredIf the transaction’s net funds are available in the Paydude balance yet. Either
availableorpending.typestring (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)requiredTransaction type.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/balance-transactions/summaryGet a Balance Transactions Summary
Returns a summary of Balance Transactions grouped by time_unit, type, and currency.
Query parameters
time_unitstring (day | month)optionalString indicating the unit of time to aggregate the summary of data.
time_zonestring (Africa/Abidjan | Africa/Accra | Africa/Addis_Ababa | Africa/Algiers | Africa/Asmara | Africa/Asmera | Africa/Bamako | Africa/Bangui | …)optionalTime Zone by which to aggregate the results.
created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive). Defaults to the beginning of the current month.created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive). Defaults to midnight tonight.typesarray of string (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)optionalAn array containing specific balance transaction types. The data will be filtered to include only transactions with a matching type property.
include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200BalanceTransactionsSummary
dataarray of BalanceTransactionTypeSummariesrequiredThe list of aggregate balance transaction data, grouped by unit of time, type, and currency.
parametersBalanceTransactionsSummaryQueryParamsrequiredThe query parameters used to fetch these results, including default parameters.
